Bug 1252108 - "man atomic" is incomplete in terms of list of subcommands
"man atomic" is incomplete in terms of list of subcommands
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: atomic (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 14:16 EDT by Robert P. J. Day
Modified: 2016-07-19 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:12:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2015-08-10 14:16:43 EDT
"man atomic" displays SYNOPSIS:

atomic [OPTIONS] COMMAND [arg...]
         defaults,host,info,install,run,uninstall,update [-h][-help] ...

which, first of all, doesn't match the list under COMMANDS below it:

COMMANDS
       atomic-defaults(1) list Default RUN/INSTALL/UNINSTALL Values
       atomic-host(1) execute Atomic commands
       atomic-info(1) execute Atomic commands
       atomic-install(1) execute image install method
       atomic-mount(1) mount image or container to filesystem
       atomic-run(1) execute image run method (default)
       atomic-uninstall(1) uninstall container from system
       atomic-unmount(1) unmount previously mounted image or container
       atomic-upload(1) upload container image to the repository

and *both* those lists are incomplete in terms of the full set of man page files installed with the package:

/usr/share/man/man1/atomic-defaults.1.gz
/usr/share/man/man1/atomic-host.1.gz
/usr/share/man/man1/atomic-images.1.gz
/usr/share/man/man1/atomic-info.1.gz
/usr/share/man/man1/atomic-install.1.gz
/usr/share/man/man1/atomic-mount.1.gz
/usr/share/man/man1/atomic-run.1.gz
/usr/share/man/man1/atomic-stop.1.gz
/usr/share/man/man1/atomic-uninstall.1.gz
/usr/share/man/man1/atomic-unmount.1.gz
/usr/share/man/man1/atomic-update.1.gz
/usr/share/man/man1/atomic-upload.1.gz
/usr/share/man/man1/atomic-verify.1.gz
/usr/share/man/man1/atomic-version.1.gz
/usr/share/man/man1/atomic.1.gz
Comment 1 Robert P. J. Day 2015-08-10 15:27:55 EDT
Whoops, D Walsh just pointed out that "atomic defaults" was removed a while back so:

1) man page for it should be removed
2) references in "man atomic" should be removed
Comment 2 Sally 2015-08-26 11:48:05 EDT
opened:
https://github.com/projectatomic/atomic/pull/131
Comment 3 Sally 2015-09-03 04:44:27 EDT
merged
Comment 5 Daniel Walsh 2015-09-03 07:46:10 EDT
Fixed in atomic-1.3

Lokesh can you build a new version of atomic for Fedora.
Comment 6 Fedora Admin XMLRPC Client 2016-06-08 10:19:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-07-19 16:12:18 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.